<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-rv-rule-heading" jhiTranslate="rulesValidatorApp.rvRule.home.createOrEditLabel">Create or edit a Rv Rule</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.ruleCode" for="field_ruleCode">Rule Code</label>
                    <input type="text" class="form-control" name="ruleCode" id="field_ruleCode"
                           formControlName="ruleCode"/>
                    <div *ngIf="editForm.get('ruleCode')!.invalid && (editForm.get('ruleCode')!.dirty || editForm.get('ruleCode')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('ruleCode')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                           formControlName="description"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.level" for="field_level">Level</label>
                    <select class="form-control" name="level" formControlName="level" id="field_level">
                        <option value="CRITICAL">{{ 'rulesValidatorApp.RvRuleLevel.CRITICAL' | translate }}</option>
                        <option value="WARNING">{{ 'rulesValidatorApp.RvRuleLevel.WARNING' | translate }}</option>
                    </select>
                    <div *ngIf="editForm.get('level')!.invalid && (editForm.get('level')!.dirty || editForm.get('level')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('level')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.mode" for="field_mode">Mode</label>
                    <select class="form-control" name="mode" formControlName="mode" id="field_mode">
                        <option value="FIRST_ERROR">{{ 'rulesValidatorApp.RvRuleMode.FIRST_ERROR' | translate }}</option>
                        <option value="ALL_VALIDATION">{{ 'rulesValidatorApp.RvRuleMode.ALL_VALIDATION' | translate }}</option>
                    </select>
                    <div *ngIf="editForm.get('mode')!.invalid && (editForm.get('mode')!.dirty || editForm.get('mode')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('mode')?.errors?.required" jhiTranslate="entity.validation.required">
                            This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.group" for="field_group">Group</label>
                    <select class="form-control" id="field_group" name="group" formControlName="groupId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="rvRuleGroupOption.id" *ngFor="let rvRuleGroupOption of rvrulegroups; trackBy: trackById">{{ rvRuleGroupOption.ruleGroupName }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="rulesValidatorApp.rvRule.operator" for="field_operator">Operator</label>
                    <select class="form-control" id="field_operator" name="operator" formControlName="operatorId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="rvOperatorOption.id" *ngFor="let rvOperatorOption of rvoperators; trackBy: trackById">{{ rvOperatorOption.description }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label jhiTranslate="rulesValidatorApp.rvRule.rvParam" for="field_rvParams">Rv Param</label>
                    <select class="form-control" id="field_rvParams" multiple name="rvParams" formControlName="rvParams">
                        <option [ngValue]="getSelected(editForm.get('rvParams')!.value, rvParamOption)" *ngFor="let rvParamOption of rvparams; trackBy: trackById">{{ rvParamOption.value }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
